## org.codehaus.groovy.grails.orm.hibernate.cfg
Class PropertyConfig

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.cfg.PropertyConfig

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class PropertyConfig

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`PropertyConfig()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`Integer` `getBatchSize()`
`CacheConfig` `getCache()`
`String` `getCascade()`
`String` `getColumn()`
`List<ColumnConfig>` `getColumns()`
`String` `getEnumType()`
`org.hibernate.FetchMode` `getFetch()`
`boolean` `getIgnoreNotFound()`
`String` `getIndex()`
`PropertyConfig` `getIndexColumn()`
`JoinTable` `getJoinTable()`
`boolean` `getLazy()`
`int` `getLength()`
`groovy.lang.MetaClass` `getMetaClass()`
`String` `getOrder()`
`int` `getPrecision()`
`Object` `getProperty(String property)`
`int` `getScale()`
`String` `getSort()`
`String` `getSqlType()`
`Object` `getType()`
`Properties` `getTypeParams()`
`Object` `invokeMethod(String method, Object arguments)`
`boolean` `isIgnoreNotFound()`
`boolean` `isLazy()`
`boolean` `isUnique()`
`void` `setBatchSize(Integer value)`
`void` `setCache(CacheConfig value)`
`void` `setCascade(String value)`
`void` `setColumns(List<ColumnConfig> value)`
`void` `setFetch(org.hibernate.FetchMode value)`
`void` `setIgnoreNotFound(boolean value)`
`void` `setIndexColumn(PropertyConfig value)`
`void` `setJoinTable(JoinTable value)`
`void` `setLazy(boolean value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setOrder(String value)`
`void` `setProperty(String property, Object value)`
`void` `setSort(String value)`
`void` `setType(Object value)`
`void` `setTypeParams(Properties value)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyConfig

    public PropertyConfig()

Method Detail

### getType

    public Object getType()

### setType

    public void setType(Object value)

### getTypeParams

    public Properties getTypeParams()

### setTypeParams

    public void setTypeParams(Properties value)

### getSort

    public String getSort()

### setSort

    public void setSort(String value)

### getOrder

    public String getOrder()

### setOrder

    public void setOrder(String value)

### getBatchSize

    public Integer getBatchSize()

### setBatchSize

    public void setBatchSize(Integer value)

### getCascade

    public String getCascade()

### setCascade

    public void setCascade(String value)

### getFetch

    public org.hibernate.FetchMode getFetch()

### setFetch

    public void setFetch(org.hibernate.FetchMode value)

### getIgnoreNotFound

    public boolean getIgnoreNotFound()

### isIgnoreNotFound

    public boolean isIgnoreNotFound()

### setIgnoreNotFound

    public void setIgnoreNotFound(boolean value)

### getColumns

    public List<ColumnConfig> getColumns()

### setColumns

    public void setColumns(List<ColumnConfig> value)

### getLazy

    public boolean getLazy()

### isLazy

    public boolean isLazy()

### setLazy

    public void setLazy(boolean value)

### getCache

    public CacheConfig getCache()

### setCache

    public void setCache(CacheConfig value)

### getJoinTable

    public JoinTable getJoinTable()

### setJoinTable

    public void setJoinTable(JoinTable value)

### getIndexColumn

    public PropertyConfig getIndexColumn()

### setIndexColumn

    public void setIndexColumn(PropertyConfig value)

### getColumn

    public String getColumn()

### getEnumType

    public String getEnumType()

### getSqlType

    public String getSqlType()

### getIndex

    public String getIndex()

### isUnique

    public boolean isUnique()

### getLength

    public int getLength()

### getPrecision

    public int getPrecision()

### getScale

    public int getScale()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project